PIUPARTS_SLAVE_RUN(8)

NAME
piuparts_slave_run - start up piuparts-slave instance(s) in screen

SYNOPSIS

piuparts_slave_run [SLAVE-NUMBERS]

DESCRIPTION

piuparts_slave_run runs piuparts-slave instance(s) in screen which run piuparts tests which test whether Debian packages handle installation, upgrading, and removal correctly.

By default, piuparts_slave_run will start the number of slaves specified by the slave-count parameter in the piuparts.conf file. If slave-count is not defined, a single slave will be started. If a single argument is supplied to piuparts_slave_run, consisting of a space-separated list of numbers between 1 and slave-count, only those slaves will be started.

OPTIONS

There are no options to this command currently. Note however that this interface is under development and may change.

ENVIRONMENT

Running piuparts in master-slave mode requires configuration in /etc/piuparts.

BUGS

piuparts_slave_run should be able to run slaves in different ways: 1. all, in a new screen (only this is implemented at the moment) 2. a specific one, in a specified screen slot in a (running) screen 3. append one to a (running) screen using a "random" slot 4. start slave in the current directory in the current shell in foreground.

NOTES

Make sure to also read /usr/share/doc/piuparts-master/README_server.txt.

SEE ALSO

piuparts(1), piuparts_slave_join(8), screen(1)

AUTHOR

Holger Levsen (holger@layer-acht.org)